{% load static %}
<!DOCTYPE html>
<html lang="en">

    <head>
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <title>Update a magazine</title>
      <link rel="stylesheet" href="{% static 'css/app.css' %}">
    </head>

    <body>
        <header>
            <nav>
                <ul>
                  <li>
                    <a href="{% url 'magazines_list' %}">Magazines</a>
                  </li>
                  <li>
                    <a href="{% url 'books_list' %}">Books</a>
                  </li>
                  <li>
                    <a href="{% url 'admin:index' %}">Admin</a>
                  </li>
                  <li>
                    <a href="{% url 'create_magazine' %}">Add a magazine</a>
                  </li>
                </ul>
              </nav>
        </header>
        <main>
            <h1>Update this magazine</h1>
            <div>
                <h1>{{ magazine.title }}</h1>
                {% if magazine.cover %}
                <img src="{{ magazine.cover }}">
                {% endif %}
                <form method="POST" enctype="multipart/form-data">
                    <!-- Using the formset -->
                    {% csrf_token %}
                    {{ form.as_p }}
                    <input type="submit" value="Update">
                </form>
            </div>
        </main>
    </body>

</html>